Bug 558525 - device node for USB flash disk is not created
device node for USB flash disk is not created
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-25 10:31 EST by Dan Horák
Modified: 2010-03-18 04:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 04:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2010-01-25 10:31:22 EST
Description of problem:
No device node is created after connecting USB flash disk to PC and even the usb-storage module is not loaded. The machine is upgraded from F-10 to F-12, but I had no such problems in F-10.

Version-Release number of selected component (if applicable):
udev-145-14.fc12.x86_64
kernel-2.6.31.12-174.2.3.fc12.x86_64

How reproducible:
always

Additional info:

dmesg output after connecting the flash-disk:
usb 2-2: new high speed USB device using ehci_hcd and address 9
usb 2-2: New USB device found, idVendor=2008, idProduct=2018
usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-2: Product: Flash Disk      
usb 2-2: Manufacturer: Hisun   
usb 2-2: SerialNumber: O20070925A000419
usb 2-2: configuration #1 chosen from 1 choice

after loading usb-storage with modprobe these messages appear:
Initializing USB Mass Storage driver...
scsi9 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 9
usb-storage: waiting for device to settle before scanning
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device scan complete
scsi 9:0:0:0: Direct-Access     Hisun    Flash Disk       2.10 PQ: 0 ANSI: 2
sd 9:0:0:0: Attached scsi generic sg6 type 0
sd 9:0:0:0: [sdd] 1988608 512-byte logical blocks: (1.01 GB/971 MiB)
sd 9:0:0:0: [sdd] Write Protect is off
sd 9:0:0:0: [sdd] Mode Sense: 0b 00 00 08
sd 9:0:0:0: [sdd] Assuming drive cache: write through
sd 9:0:0:0: [sdd] Assuming drive cache: write through
 sdd: sdd1
sd 9:0:0:0: [sdd] Assuming drive cache: write through
sd 9:0:0:0: [sdd] Attached SCSI removable disk

but no /dev/sdd or /dev/sdd1 nodes exist

running "udevadm  monitor --kernel --udev" with usb-storage already loaded returns:

monitor will print the received events for:
UDEV - the event which udev sends out after rule processing
KERNEL - the kernel uevent

KERNEL[1264433167.004039] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2 (usb)
KERNEL[1264433167.004779] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0 (usb)
KERNEL[1264433167.004794] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10 (scsi)
KERNEL[1264433167.004805] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/scsi_host/host10 (scsi_host)
KERNEL[1264433172.004709] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0 (scsi)
KERNEL[1264433172.004799] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0/10:0:0:0 (scsi)
KERNEL[1264433172.004819] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0/10:0:0:0/scsi_disk/10:0:0:0 (scsi_disk)
KERNEL[1264433172.004857] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0/10:0:0:0/scsi_device/10:0:0:0 (scsi_device)
KERNEL[1264433172.004877] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0/10:0:0:0/scsi_generic/sg6 (scsi_generic)
KERNEL[1264433172.004895] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0/10:0:0:0/bsg/10:0:0:0 (bsg)
KERNEL[1264433172.006873] change   /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0/10:0:0:0 (scsi)
KERNEL[1264433172.009492] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0/10:0:0:0/block/sdd (block)
KERNEL[1264433172.009514] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host10/target10:0:0/10:0:0:0/block/sdd/sdd1 (block)
KERNEL[1264433172.009529] add      /devices/virtual/bdi/8:48 (bdi)
Comment 1 Harald Hoyer 2010-03-17 12:25:58 EDT
huh? strange!

is /dev/sg6 present?

can you create and access it manually?

# /sbin/MAKEDEV -x /dev/sdd
# /sbin/MAKEDEV -x /dev/sdd1
Comment 2 Dan Horák 2010-03-18 04:09:17 EDT
Unfortunately I can't it reproduce now, probably some of the updates fixed it.

Note You need to log in before you can comment on or make changes to this bug.